> Knowledge base> Article: Unable to install the Z1 software on Windows 95, Windows 98, or Windows ME.

Unable to install the Z1 software on Windows 95, Windows 98, or Windows ME.

Article ID: 44725 Email Print
Question
Unable to install the Z1 software on Windows 95, Windows 98, or Windows ME.

Answer

The Z1 requires Windows 2000 or XP.

Windows 95/98/ME or any other operating system will not work.  Some manuals and or documentation may have incorrect information.


related articles

Article Details
Views: 1581 Created on: May 24, 2014
Date updated: Jul 13, 2016
Posted in: Signature Z1

Poor Outstanding